
uniform sampler2D envTexture2;
vec4 color;
vec4 RGBE;
#define LOG(a, b)   ( log((b)) / log((a)) )
#define EXP_BASE 1.05
void main (void)
{
	color = texture2D(envTexture2, vec2(gl_TexCoord[0]));
	
	float e = ceil(LOG(EXP_BASE,max(max(color.r,color.g),color.b)));
	
	RGBE.rgb = color.rgb / pow(EXP_BASE,e);
	
	RGBE.a = (e+128.0) /255.0;

	gl_FragColor = RGBE;
}	
