uniform sampler2D texture;
uniform int w,h;

#define f(a,b,c) gauss[a] * texture2D(texture, textcoord+vec2(b*stepX,c*stepY))

float gauss[5] = {1.0/273.0,4.0/273.0,7.0/273.0,26.0/273.0,41.0/273.0};

void main()
{
 float stepX = 1.0/w;
 float stepY = 1.0/h;
 vec2 textcoord = vec2(gl_TexCoord[0]);
  
 vec4 returnvec = vec4(0.0,0.0,0.0,0.0);
 
	returnvec +=  f(0,-2,2)   + f(1,-1,2)   + f(2,0,2)  + f(1,1,2)  + f(0,2,2)
				 +f(1,-2,1)   + f(2,-1,1)   + f(3,0,1)  + f(2,1,1)  + f(1,2,1)
				 +f(2,-2,0)   + f(3,-1,0)   + f(4,0,0)  + f(3,1,0)  + f(2,2,0)
				 +f(1,-2,-1)  + f(2,-1,-1)  + f(3,0,-1) + f(2,1,-1) + f(1,2,-1)
				 +f(0,-2,-2)  + f(1,-1,-2)  + f(2,0,-2) + f(1,1,-2) + f(0,2,-2);
				 

 gl_FragColor = returnvec;
}